Ticket #1269 (closed defect: fixed)

Opened 3 years ago

Last modified 3 years ago

Padre 0.86 on OSX DMG crashes

Reported by: bubaflub Owned by: tome
Priority: minor Milestone:
Component: not classified yet Version: 0.86
Keywords: osx Cc:

Description

I downloaded a copy of Padre 0.86 from http://wildperl.com/2011/07/padre-on-osx-dmg-now-on-leopard-snow-leopard-and-lion/ and tried to run a simple script like "print 'oh hai';" and I get the following crash:

Process: padre [79171]
Path: /Applications/Padre?.app/Contents/MacOS/padre
Identifier: padre
Version: Perl Application Development and Refactoring Environment 0.86.0.112 (0.86.0.112)
Code Type: X86 (Native)
Parent Process: launchd [183]

Date/Time?: 2011-07-29 09:30:39.462 -0500
OS Version: Mac OS X 10.6.8 (10K540)
Report Version: 6

Interval Since Last Report: 717610 sec
Crashes Since Last Report: 4
Per-App Interval Since Last Report: 359 sec
Per-App Crashes Since Last Report: 3
Anonymous UUID: 74BCABBE-EB09-4E17-A64B-6560F0C169A0

Exception Type: EXC_BAD_ACCESS (SIGSEGV)
Exception Codes: KERN_INVALID_ADDRESS at 0x0000000018fffff8
Crashed Thread: 0 Dispatch queue: com.apple.main-thread

Thread 0 Crashed: Dispatch queue: com.apple.main-thread
0 libSystem.B.dylib 0xffff0f20 memcpy + 1920
1 ...ase_carbonu-2.8.0.8.0.dylib 0x12689ea0 wxStringBase::CopyBeforeWrite?() + 158
2 ...ase_carbonu-2.8.0.8.0.dylib 0x12689fae wxString::Lower() const + 80
3 ...ase_carbonu-2.8.0.8.0.dylib 0x12659fff wxFileName::MacFindDefaultTypeAndCreator?(wxString const&, unsigned int*, unsigned int*) + 97
4 ...x_macu_core-2.8.0.8.0.dylib 0x122ab614 MakeUserDataRec?(OpenUserDataRec?*, wxString const&) + 660
5 ...x_macu_core-2.8.0.8.0.dylib 0x122aa282 wxFileDialog::ShowModal?() + 352
6 Wx.bundle 0x120fa2f8 XS_Wx
FileDialog_ShowModal + 136
7 libperl.dylib 0x000da336 Perl_pp_entersub + 2294
8 libperl.dylib 0x000d8986 Perl_runops_standard + 22
9 libperl.dylib 0x000677b5 Perl_call_sv + 725
10 Wx.bundle 0x120dccab wxPliEventCallback::Handler(wxEvent&) + 617
11 ...ase_carbonu-2.8.0.8.0.dylib 0x126333b0 wxAppConsole::HandleEvent?(wxEvtHandler*, void (wxEvtHandler::*)(wxEvent&), wxEvent&) const + 42
12 ...ase_carbonu-2.8.0.8.0.dylib 0x126bbf5b wxEvtHandler::ProcessEventIfMatches?(wxEventTableEntryBase const&, wxEvtHandler*, wxEvent&) + 125
13 ...ase_carbonu-2.8.0.8.0.dylib 0x126bc74c wxEvtHandler::ProcessEvent?(wxEvent&) + 162
14 ...ase_carbonu-2.8.0.8.0.dylib 0x126bc783 wxEvtHandler::ProcessEvent?(wxEvent&) + 217
15 ...x_macu_core-2.8.0.8.0.dylib 0x1237a718 wxMenuBase::SendEvent?(int, int) + 112
16 ...x_macu_core-2.8.0.8.0.dylib 0x122c8396 wxMenu::MacHandleCommandProcess?(wxMenuItem*, int, wxWindow*) + 106
17 ...x_macu_core-2.8.0.8.0.dylib 0x122f2380 wxMacWindowEventHandler(OpaqueEventHandlerCallRef?*, OpaqueEventRef?*, void*) + 304
18 com.apple.HIToolbox 0x995cac2f DispatchEventToHandlers?(EventTargetRec?*, OpaqueEventRef?*, HandlerCallRec?*) + 1567
19 com.apple.HIToolbox 0x995c9ef6 SendEventToEventTargetInternal?(OpaqueEventRef?*, OpaqueEventTargetRef?*, HandlerCallRec?*) + 411
20 com.apple.HIToolbox 0x995ec7f3 SendEventToEventTarget? + 52
21 com.apple.HIToolbox 0x99618e87 SendHICommandEvent(unsigned long, HICommand const*, unsigned long, unsigned long, unsigned char, void const*, OpaqueEventTargetRef?*, OpaqueEventTargetRef?*, OpaqueEventRef?) + 448
22 com.apple.HIToolbox 0x9963db90 SendMenuCommandWithContextAndModifiers? + 66
23 com.apple.HIToolbox 0x9963db47 SendMenuItemSelectedEvent? + 121
24 com.apple.HIToolbox 0x9963da5d FinishMenuSelection?(SelectionData?*, MenuResult?*, MenuResult?*) + 152
25 com.apple.HIToolbox 0x9960d160 MenuSelectCore?(MenuData?*, Point, double, unsigned long, OpaqueMenuRef?
, unsigned short*) + 454
26 com.apple.HIToolbox 0x997bf936 MenuSelect? + 190
27 ...x_macu_core-2.8.0.8.0.dylib 0x122f1ad9 wxMacTopLevelMouseEventHandler(OpaqueEventHandlerCallRef?*, OpaqueEventRef?*, void*) + 1161
28 ...x_macu_core-2.8.0.8.0.dylib 0x1228ee2a wxMacAppEventHandler(OpaqueEventHandlerCallRef?*, OpaqueEventRef?*, void*) + 1146
29 com.apple.HIToolbox 0x995cac2f DispatchEventToHandlers?(EventTargetRec?*, OpaqueEventRef?*, HandlerCallRec?*) + 1567
30 com.apple.HIToolbox 0x995c9ef6 SendEventToEventTargetInternal?(OpaqueEventRef?*, OpaqueEventTargetRef?*, HandlerCallRec?*) + 411
31 com.apple.HIToolbox 0x995ec7f3 SendEventToEventTarget? + 52
32 com.apple.HIToolbox 0x995fe3ef ToolboxEventDispatcherHandler?(OpaqueEventHandlerCallRef?*, OpaqueEventRef?*, void*) + 1417
33 com.apple.HIToolbox 0x995cb080 DispatchEventToHandlers?(EventTargetRec?*, OpaqueEventRef?*, HandlerCallRec?*) + 2672
34 com.apple.HIToolbox 0x995c9ef6 SendEventToEventTargetInternal?(OpaqueEventRef?*, OpaqueEventTargetRef?*, HandlerCallRec?*) + 411
35 com.apple.HIToolbox 0x995ec7f3 SendEventToEventTarget? + 52
36 ...x_macu_core-2.8.0.8.0.dylib 0x12290e85 wxApp::MacHandleOneEvent?(void*) + 41
37 ...x_macu_core-2.8.0.8.0.dylib 0x12290f78 wxApp::MacDoOneEvent?() + 144
38 ...x_macu_core-2.8.0.8.0.dylib 0x122aa0be wxEventLoop::Dispatch() + 32
39 ...x_macu_core-2.8.0.8.0.dylib 0x1234aa15 wxEventLoopManual::Run() + 131
40 ...x_macu_core-2.8.0.8.0.dylib 0x1232410b wxAppBase::MainLoop?() + 67
41 Wx.bundle 0x1204f17e wxPliApp::MainLoop?() + 40
42 Wx.bundle 0x12037a67 XS_WxApp_MainLoop + 135
43 libperl.dylib 0x000da336 Perl_pp_entersub + 2294
44 libperl.dylib 0x000d8986 Perl_runops_standard + 22
45 libperl.dylib 0x00067f3e perl_run + 366
46 padre 0x00006b78 0x1000 + 23416
47 padre 0x000041f9 0x1000 + 12793
48 padre 0x00004128 0x1000 + 12584

Thread 1: Dispatch queue: com.apple.libdispatch-manager
0 libSystem.B.dylib 0x993fc382 kevent + 10
1 libSystem.B.dylib 0x993fca9c _dispatch_mgr_invoke + 215
2 libSystem.B.dylib 0x993fbf59 _dispatch_queue_invoke + 163
3 libSystem.B.dylib 0x993fbcfe _dispatch_worker_thread2 + 240
4 libSystem.B.dylib 0x993fb781 _pthread_wqthread + 390
5 libSystem.B.dylib 0x993fb5c6 start_wqthread + 30

Thread 2:
0 libSystem.B.dylib 0x99403aa2 semwait_signal + 10
1 libSystem.B.dylib 0x9940375e _pthread_cond_wait + 1191
2 libSystem.B.dylib 0x994053f8 pthread_cond_wait$UNIX2003 + 73
3 shared.bundle 0x006ceabe XS_threads
shared_cond_wait + 302
4 libperl.dylib 0x000da336 Perl_pp_entersub + 2294
5 libperl.dylib 0x000d8986 Perl_runops_standard + 22
6 libperl.dylib 0x000677b5 Perl_call_sv + 725
7 threads.bundle 0x006c4983 S_ithread_run + 627
8 libSystem.B.dylib 0x99403259 _pthread_start + 345
9 libSystem.B.dylib 0x994030de thread_start + 34

Thread 3:
0 libSystem.B.dylib 0x99403aa2 semwait_signal + 10
1 libSystem.B.dylib 0x9940375e _pthread_cond_wait + 1191
2 libSystem.B.dylib 0x994053f8 pthread_cond_wait$UNIX2003 + 73
3 shared.bundle 0x006ceabe XS_threads
shared_cond_wait + 302
4 libperl.dylib 0x000da336 Perl_pp_entersub + 2294
5 libperl.dylib 0x000d8986 Perl_runops_standard + 22
6 libperl.dylib 0x000677b5 Perl_call_sv + 725
7 threads.bundle 0x006c4983 S_ithread_run + 627
8 libSystem.B.dylib 0x99403259 _pthread_start + 345
9 libSystem.B.dylib 0x994030de thread_start + 34

Thread 0 crashed with X86 Thread State (32-bit):

eax: 0xffff0700 ebx: 0x6384eec0 ecx: 0x00000034 edx: 0x001d6c00
edi: 0x1a000040 esi: 0x18e29438 ebp: 0xbfffd3b8 esp: 0xbfffd3b0

ss: 0x0000001f efl: 0x00010206 eip: 0xffff0f20 cs: 0x00000017
ds: 0x0000001f es: 0x0000001f fs: 0x00000000 gs: 0x00000037

cr2: 0x18fffff8

Binary Images:

0x1000 - 0x2afe7 +padre Perl Application Development and Refactoring Environment 0.86.0.112 (0.86.0.112) <79956599-6057-A6BB-E298-ED3D3CA8CF0A> /Applications/Padre?.app/Contents/MacOS/padre

0x4e000 - 0x183ff3 +libperl.dylib 5.14.1 (compatibility 5.14.0) <9FF069D2-85DD-39B1-9E2F-D959C6C37231> /Applications/Padre?.app/Contents/Frameworks/libperl.dylib

0x19f000 - 0x1a3ff7 libutil.dylib ??? (???) <2655E581-CDB0-584C-A903-5EA9757E9DBB> /usr/lib/libutil.dylib
0x648000 - 0x661ffc +DBI.bundle ??? (???) <47AA500E-33D2-341B-B114-B29AAFFBDDF7> /Applications/Padre?.app/Contents/Resources/lib/std/auto/DBI/DBI.bundle
0x669000 - 0x66bfff +Util.bundle ??? (???) <FAA2F650-44E2-342A-BFAC-D0198E18EEAE> /Applications/Padre?.app/Contents/Resources/lib/std/auto/Params/Util/Util.bundle
0x66e000 - 0x676ff2 +XSAccessor.bundle ??? (???) <6DFE1DF2-F8B7-3360-AEFA-DCA61D8A3325> /Applications/Padre?.app/Contents/Resources/lib/std/auto/Class/XSAccessor/XSAccessor.bundle
0x67a000 - 0x67bffd +Fcntl.bundle ??? (???) <15B75B01-E5DE-385F-8F39-4E7469FF1254> /Applications/Padre?.app/Contents/Resources/lib/std/auto/Fcntl/Fcntl.bundle
0x67e000 - 0x68cff1 +Storable.bundle ??? (???) <95E8D71D-FCA1-300A-A3E0-C29F1FECA4DF> /Applications/Padre?.app/Contents/Resources/lib/std/auto/Storable/Storable.bundle
0x691000 - 0x69eff3 +DND.bundle ??? (???) <B8A1EF83-825D-345C-8FE3-48008F99DE11> /Applications/Padre?.app/Contents/Resources/lib/std/auto/Wx/DND/DND.bundle
0x6a9000 - 0x6aaff3 +scalar.bundle ??? (???) <F32F49BB-B2E4-33B0-AB4E-C426702BDBC0> /Applications/Padre?.app/Contents/Resources/lib/std/auto/PerlIO/scalar/scalar.bundle
0x6ad000 - 0x6afff5 +Glob.bundle ??? (???) <73E93698-9FB7-34C2-9772-A195D28FFBD2> /Applications/Padre?.app/Contents/Resources/lib/std/auto/File/Glob/Glob.bundle
0x6b2000 - 0x6b3ffb +Cwd.bundle ??? (???) <5D05BF77-D9A6-3217-9ED7-3E2EA544A63B> /Applications/Padre?.app/Contents/Resources/lib/std/auto/Cwd/Cwd.bundle
0x6b6000 - 0x6b7ff8 +SystemDirectory?.bundle ??? (???) <6C311733-44A1-362F-83D1-55AEB08DEAE1> /Applications/Padre?.app/Contents/Resources/lib/std/auto/Mac/SystemDirectory/SystemDirectory.bundle
0x6bb000 - 0x6bdffa +Util.bundle ??? (???) <C0622C26-54C1-34BD-A0EB-E1D20300FB13> /Applications/Padre?.app/Contents/Resources/lib/std/auto/List/Util/Util.bundle
0x6c0000 - 0x6c5ff5 +threads.bundle ??? (???) <49AAD003-5604-3A31-A8BA-246B53A43603> /Applications/Padre?.app/Contents/Resources/lib/std/auto/threads/threads.bundle
0x6c9000 - 0x6cfff6 +shared.bundle ??? (???) <866903DF-E945-3EAF-B579-4421954D5129> /Applications/Padre?.app/Contents/Resources/lib/std/auto/threads/shared/shared.bundle
0x6d3000 - 0x6d3ffe +attributes.bundle ??? (???) <2303B027-5BA5-3DE6-8382-9EB68A2305D3> /Applications/Padre?.app/Contents/Resources/lib/std/auto/attributes/attributes.bundle
0x6d6000 - 0x74fff7 +libwx_macu_adv-2.8.0.8.0.dylib 9.0.0 (compatibility 9.0.0) <7C69028A-0CA3-3FC9-BF7B-2CDC6BBF283D> /Applications/Padre?.app/Contents/Frameworks/libwx_macu_adv-2.8.0.8.0.dylib
0x79a000 - 0x79bff7 com.apple.textencoding.unicode 2.3 (2.3) <78A61FD5-70EE-19EA-48D4-3481C640B70D> /System/Library/TextEncodings/Unicode? Encodings.bundle/Contents/MacOS/Unicode Encodings
0x7f0000 - 0x7f2fff +net.culater.SIMBL 0.8.2 (8) /Library/InputManagers?/SIMBL/SIMBL.bundle/Contents/MacOS/SIMBL
0x7f8000 - 0x7faff4 +IO.bundle ??? (???) <D6A2DE04-E58D-3041-A7F6-B9E5C96BFC2C> /Applications/Padre?.app/Contents/Resources/lib/std/auto/IO/IO.bundle

0x11900000 - 0x11966ff7 +libwx_macu_html-2.8.0.8.0.dylib 9.0.0 (compatibility 9.0.0) <5F958F1D-1447-36EC-8FC4-9783E6349DFA> /Applications/Padre?.app/Contents/Frameworks/libwx_macu_html-2.8.0.8.0.dylib
0x11a58000 - 0x11aa0ffb +STC.bundle ??? (???) <C89536D7-490A-32C8-86BE-8B3A89E9B8B4> /Applications/Padre?.app/Contents/Resources/lib/std/auto/Wx/STC/STC.bundle
0x11ab4000 - 0x11acfffb +AUI.bundle ??? (???) <63C2FC1C-2E8F-338D-BCA3-69B7B02B33B2> /Applications/Padre?.app/Contents/Resources/lib/std/auto/Wx/AUI/AUI.bundle
0x11ad9000 - 0x11adbffd +HiRes?.bundle ??? (???) <BD09B0B9-E608-37B7-8D08-20473FA862D7> /Applications/Padre?.app/Contents/Resources/lib/std/auto/Time/HiRes/HiRes.bundle
0x11c00000 - 0x11c04fe4 +Encode.bundle ??? (???) <45C71073-E982-353C-90A5-4D759DB7B0D4> /Applications/Padre?.app/Contents/Resources/lib/std/auto/Encode/Encode.bundle
0x12000000 - 0x12207fff +Wx.bundle ??? (???) <5EA978C7-778F-3BB1-9ADC-C065C9A7B691> /Applications/Padre?.app/Contents/Resources/lib/std/auto/Wx/Wx.bundle
0x12278000 - 0x124fbffb +libwx_macu_core-2.8.0.8.0.dylib 9.0.0 (compatibility 9.0.0) <9D68426E-BAE7-3739-BF21-D63EACB2A003> /Applications/Padre?.app/Contents/Frameworks/libwx_macu_core-2.8.0.8.0.dylib
0x1262e000 - 0x1271fff3 +libwx_base_carbonu-2.8.0.8.0.dylib 9.0.0 (compatibility 9.0.0) <7A74F789-00EE-3BA2-BB6C-5C681C94847E> /Applications/Padre?.app/Contents/Frameworks/libwx_base_carbonu-2.8.0.8.0.dylib
0x16973000 - 0x169baffb +libwx_macu_aui-2.8.0.8.0.dylib 9.0.0 (compatibility 9.0.0) <42A1A18E-3ADB-38CD-ACED-ABFD144B8C51> /Applications/Padre?.app/Contents/Frameworks/libwx_macu_aui-2.8.0.8.0.dylib
0x16dd7000 - 0x16e88ff3 +SQLite.bundle ??? (???) <738E7823-A5CF-3A5F-844C-28E2C9E1BD1D> /Applications/Padre?.app/Contents/Resources/lib/std/auto/DBD/SQLite/SQLite.bundle
0x17200000 - 0x172aeff3 +libwx_macu_stc-2.8.0.8.0.dylib 9.0.0 (compatibility 9.0.0) <A2CCDF9D-FF40-3C74-AF4F-0CA485B09458> /Applications/Padre?.app/Contents/Frameworks/libwx_macu_stc-2.8.0.8.0.dylib
0x8fe00000 - 0x8fe4162b dyld 132.1 (???) <A4F6ADCC-6448-37B4-ED6C-ABB2CD06F448> /usr/lib/dyld
0x90003000 - 0x90053ff7 com.apple.framework.familycontrols 2.0.2 (2020) <C96C8A99-A40C-8B9C-1FBA-A0F46AC92F17> /System/Library/PrivateFrameworks/FamilyControls?.framework/Versions/A/FamilyControls
0x90054000 - 0x900cefff com.apple.audio.CoreAudio? 3.2.6 (3.2.6) <156A532C-0B60-55B0-EE27-D02B82AA6217> /System/Library/Frameworks/CoreAudio?.framework/Versions/A/CoreAudio
0x900cf000 - 0x90112ff7 libGLU.dylib ??? (???) <FB26DD53-03F4-A7D7-8804-EBC5B3B37FA3> /System/Library/Frameworks?/OpenGL.framework/Versions/A/Libraries/libGLU.dylib
0x9018d000 - 0x9019bff7 com.apple.opengl 1.6.13 (1.6.13) <025A905D-C1A3-B24A-1585-37C328D77148> /System/Library/Frameworks?/OpenGL.framework/Versions/A/OpenGL
0x901ea000 - 0x9050aff3 com.apple.CoreServices?.CarbonCore? 861.39 (861.39) <5C59805C-AF39-9010-B8B5-D673C9C38538> /System/Library/Frameworks/CoreServices?.framework/Versions/A/Frameworks/CarbonCore.framework/Versions/A/CarbonCore
0x9050b000 - 0x90518ff7 com.apple.NetFS 3.2.2 (3.2.2) <DDC9C397-C35F-8D7A-BB24-3D1B42FA5FAB> /System/Library/Frameworks?/NetFS.framework/Versions/A/NetFS
0x90519000 - 0x9053fffb com.apple.DictionaryServices? 1.1.2 (1.1.2) <43E1D565-6E01-3681-F2E5-72AE4C3A097A> /System/Library/Frameworks/CoreServices?.framework/Versions/A/Frameworks/DictionaryServices.framework/Versions/A/DictionaryServices
0x905b8000 - 0x905b8ff7 com.apple.CoreServices? 44 (44) <51CFA89A-33DB-90ED-26A8-67D461718A4A> /System/Library/Frameworks/CoreServices?.framework/Versions/A/CoreServices
0x90802000 - 0x910e5ff7 com.apple.AppKit? 6.6.8 (1038.36) <A353465E-CFC9-CB75-949D-786F6F7732F6> /System/Library/Frameworks/AppKit?.framework/Versions/C/AppKit
0x91197000 - 0x91299fe7 libcrypto.0.9.8.dylib 0.9.8 (compatibility 0.9.8) <015563C4-81E2-8C8A-82AC-31B38D904A42> /usr/lib/libcrypto.0.9.8.dylib
0x9129a000 - 0x912d0fff libtidy.A.dylib ??? (???) <0FD72C68-4803-4C5B-3A63-05D7394BFD71> /usr/lib/libtidy.A.dylib
0x912d1000 - 0x91389feb libFontParser.dylib ??? (???) <D57D3834-9395-FD58-092A-49B3708E8C89> /System/Library/Frameworks/ApplicationServices?.framework/Versions/A/Frameworks/ATS.framework/Versions/A/Resources/libFontParser.dylib
0x9138a000 - 0x9139aff7 libsasl2.2.dylib 3.15.0 (compatibility 3.0.0) <C8744EA3-0AB7-CD03-E639-C4F2B910BE5D> /usr/lib/libsasl2.2.dylib
0x913a4000 - 0x91441fe3 com.apple.LaunchServices? 362.3 (362.3) <15B47388-16C8-97DA-EEBB-1709E136169E> /System/Library/Frameworks/CoreServices?.framework/Versions/A/Frameworks/LaunchServices.framework/Versions/A/LaunchServices
0x91442000 - 0x914effe7 libobjc.A.dylib 227.0.0 (compatibility 1.0.0) <9F8413A6-736D-37D9-8EB3-7986D4699957> /usr/lib/libobjc.A.dylib
0x914f0000 - 0x916b2feb com.apple.ImageIO.framework 3.0.4 (3.0.4) <20E90968-E04B-7B68-DBA2-92C729A8243F> /System/Library/Frameworks/ApplicationServices?.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/ImageIO
0x916b3000 - 0x916b4ff7 com.apple.audio.units.AudioUnit? 1.6.7 (1.6.7) <838E1760-F7D9-3239-B3A8-20E25EFD1379> /System/Library/Frameworks/AudioUnit?.framework/Versions/A/AudioUnit
0x916d5000 - 0x91946fef com.apple.Foundation 6.6.7 (751.62) <5C995C7F-2EA9-50DC-9F2A-30237CDB31B1> /System/Library/Frameworks/Foundation?.framework/Versions/C/Foundation
0x91947000 - 0x91a12fef com.apple.CoreServices?.OSServices 359 (359) <EC340F74-8192-C9DD-40B3-AE4E519A38D7> /System/Library/Frameworks/CoreServices?.framework/Versions/A/Frameworks/OSServices.framework/Versions/A/OSServices
0x91a13000 - 0x91a1fff7 libkxld.dylib ??? (???) <9A441C48-2D18-E716-5F38-CBEAE6A0BB3E> /usr/lib/system/libkxld.dylib
0x91a3e000 - 0x91aecff3 com.apple.ink.framework 1.3.3 (107) <57B54F6F-CE35-D546-C7EC-DBC5FDC79938> /System/Library/Frameworks/Carbon?.framework/Versions/A/Frameworks/Ink.framework/Versions/A/Ink
0x91aed000 - 0x91af0ff7 libCGXType.A.dylib 545.0.0 (compatibility 64.0.0) <4D766435-EB76-C384-0127-1D20ACD74076> /System/Library/Frameworks/ApplicationServices?.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libCGXType.A.dylib
0x91c1f000 - 0x91c21ff7 com.apple.securityhi 4.0 (36638) <38D36D4D-C798-6ACE-5FA8-5C001993AD6B> /System/Library/Frameworks/Carbon?.framework/Versions/A/Frameworks/SecurityHI.framework/Versions/A/SecurityHI
0x91c36000 - 0x91c3aff7 IOSurface ??? (???) <D849E1A5-6B0C-2A05-2765-850EC39BA2FF> /System/Library/Frameworks?/IOSurface.framework/Versions/A/IOSurface
0x91c3b000 - 0x91c98ff7 com.apple.framework.IOKit 2.0 (???) <3DABAB9C-4949-F441-B077-0498F8E47A35> /System/Library/Frameworks?/IOKit.framework/Versions/A/IOKit
0x91c99000 - 0x926ecff7 com.apple.WebCore? 6533.21 (6533.21.1) <04C66A67-4CF2-5F4B-4EA3-00E67B0F9411> /System/Library/Frameworks/WebKit?.framework/Versions/A/Frameworks/WebCore.framework/Versions/A/WebCore
0x92767000 - 0x9285bff7 libiconv.2.dylib 7.0.0 (compatibility 7.0.0) <9EC28185-D26F-533F-90C4-FBAA13A15947> /usr/lib/libiconv.2.dylib
0x92875000 - 0x9287bfe7 com.apple.CommerceCore? 1.0 (9.1) <521D067B-3BDA-D04E-E1FA-CFA526C87EB5> /System/Library/PrivateFrameworks/CommerceKit?.framework/Versions/A/Frameworks/CommerceCore.framework/Versions/A/CommerceCore
0x9287c000 - 0x92917fe7 com.apple.ApplicationServices?.ATS 275.16 (???) <873C8B8A-B563-50F7-7628-524EE9E8DF0F> /System/Library/Frameworks/ApplicationServices?.framework/Versions/A/Frameworks/ATS.framework/Versions/A/ATS
0x92918000 - 0x9292dfff com.apple.ImageCapture? 6.1 (6.1) <B909459A-EAC9-A7C8-F2A9-CD757CDB59E8> /System/Library/Frameworks/Carbon?.framework/Versions/A/Frameworks/ImageCapture.framework/Versions/A/ImageCapture
0x9292e000 - 0x92952ff7 libJPEG.dylib ??? (???) <0C406884-DAAF-0409-2659-9D1602D752D9> /System/Library/Frameworks/ApplicationServices?.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libJPEG.dylib
0x92961000 - 0x92972ff7 com.apple.LangAnalysis? 1.6.6 (1.6.6) <97511CC7-FE23-5AC3-2EE2-B5479FAEB316> /System/Library/Frameworks/ApplicationServices?.framework/Versions/A/Frameworks/LangAnalysis.framework/Versions/A/LangAnalysis
0x929a9000 - 0x92ad7fe7 com.apple.CoreData? 102.1 (251) <E6A457F0-A0A3-32CD-6C69-6286E7C0F063> /System/Library/Frameworks/CoreData?.framework/Versions/A/CoreData
0x92ad8000 - 0x92bd9fe7 libxml2.2.dylib 10.3.0 (compatibility 10.0.0) <C75F921C-F027-6372-A0A1-EDB8A6234331> /usr/lib/libxml2.2.dylib
0x92c4a000 - 0x92c8dff7 com.apple.NavigationServices? 3.5.4 (182) <753B8906-06C0-3AE0-3D6A-8FF5AC18ED12> /System/Library/Frameworks/Carbon?.framework/Versions/A/Frameworks/NavigationServices.framework/Versions/A/NavigationServices
0x92c8e000 - 0x92d36ffb com.apple.QD 3.36 (???) <FA2785A4-BB69-DCB4-3BA3-7C89A82CAB41> /System/Library/Frameworks/ApplicationServices?.framework/Versions/A/Frameworks/QD.framework/Versions/A/QD
0x92e3a000 - 0x92e6dff7 com.apple.AE 496.5 (496.5) <BF9673D5-2419-7120-26A3-83D264C75222> /System/Library/Frameworks/CoreServices?.framework/Versions/A/Frameworks/AE.framework/Versions/A/AE
0x92e87000 - 0x92ea8fe7 com.apple.opencl 12.3.6 (12.3.6) <B4104B80-1CB3-191C-AFD3-697843C6BCFF> /System/Library/Frameworks?/OpenCL.framework/Versions/A/OpenCL
0x92ea9000 - 0x92eb0ff7 com.apple.agl 3.0.12 (AGL-3.0.12) <6877F0D8-0DCF-CB98-5304-913667FF50FA> /System/Library/Frameworks?/AGL.framework/Versions/A/AGL
0x92ef2000 - 0x92f38ff7 libauto.dylib ??? (???) <29422A70-87CF-10E2-CE59-FEE1234CFAAE> /usr/lib/libauto.dylib
0x92f39000 - 0x9300afe3 ColorSyncDeprecated?.dylib 4.6.0 (compatibility 1.0.0) <1C3E1CEF-6E88-4EAF-8A6E-4EC4C5642DDB> /System/Library/Frameworks/ApplicationServices?.framework/Frameworks/ColorSync.framework/Versions/A/Resources/ColorSyncDeprecated.dylib
0x93013000 - 0x93021fe7 libz.1.dylib 1.2.3 (compatibility 1.0.0) <3CE8AA79-F077-F1B0-A039-9103A4A02E92> /usr/lib/libz.1.dylib
0x93059000 - 0x930d9feb com.apple.SearchKit? 1.3.0 (1.3.0) <9E18AEA5-F4B4-8BE5-EEA9-818FC4F46FD9> /System/Library/Frameworks/CoreServices?.framework/Versions/A/Frameworks/SearchKit.framework/Versions/A/SearchKit
0x931e1000 - 0x931e1ff7 com.apple.Carbon 150 (152) <9252D5F2-462D-2C15-80F3-109644D6F704> /System/Library/Frameworks/Carbon?.framework/Versions/A/Carbon
0x931e2000 - 0x931f6fe7 libbsm.0.dylib ??? (???) <14CB053A-7C47-96DA-E415-0906BA1B78C9> /usr/lib/libbsm.0.dylib
0x931f7000 - 0x93231ff7 libcups.2.dylib 2.8.0 (compatibility 2.0.0) <038731B1-CC44-3943-E3DE-4BAAA203EB72> /usr/lib/libcups.2.dylib
0x932cc000 - 0x933acfe7 com.apple.vImage 4.1 (4.1) <D029C515-08E1-93A6-3705-DD062A3A672C> /System/Library/Frameworks/Accelerate?.framework/Versions/A/Frameworks/vImage.framework/Versions/A/vImage
0x934b4000 - 0x934bafff com.apple.CommonPanels? 1.2.4 (91) <2438AF5D-067B-B9FD-1248-2C9987F360BA> /System/Library/Frameworks/Carbon?.framework/Versions/A/Frameworks/CommonPanels.framework/Versions/A/CommonPanels
0x934ee000 - 0x934f3ff7 com.apple.OpenDirectory? 10.6 (10.6) <C1B46982-7D3B-3CC4-3BC2-3E4B595F0231> /System/Library/Frameworks/OpenDirectory?.framework/Versions/A/OpenDirectory
0x9386a000 - 0x9386aff7 liblangid.dylib ??? (???) <B99607FC-5646-32C8-2C16-AFB5EA9097C2> /usr/lib/liblangid.dylib
0x939b7000 - 0x93ac3ff7 libGLProgrammability.dylib ??? (???) <04D7E5C3-B0C3-054B-DF49-3B333DCDEE22> /System/Library/Frameworks?/OpenGL.framework/Versions/A/Libraries/libGLProgrammability.dylib
0x93ac4000 - 0x93c3ffe7 com.apple.CoreFoundation? 6.6.5 (550.43) <10B8470A-88B7-FC74-1C2F-E5CBD966C051> /System/Library/Frameworks/CoreFoundation?.framework/Versions/A/CoreFoundation
0x93c62000 - 0x93ca3ff7 libRIP.A.dylib 545.0.0 (compatibility 64.0.0) <80998F66-0AD7-AD12-B9AF-3E8D2CE6DE05> /System/Library/Frameworks/ApplicationServices?.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libRIP.A.dylib
0x93cff000 - 0x93e81fe7 libicucore.A.dylib 40.0.0 (compatibility 1.0.0) <D5980817-6D19-9636-51C3-E82BAE26776B> /usr/lib/libicucore.A.dylib
0x93f2c000 - 0x93f4cfe7 libresolv.9.dylib 41.0.0 (compatibility 1.0.0) <751955F3-21FB-A03A-4E92-1F3D4EFB8C5B> /usr/lib/libresolv.9.dylib
0x93f4d000 - 0x93f96fe7 libTIFF.dylib ??? (???) <10F7E21B-EC59-6594-004F-798DA3F37789> /System/Library/Frameworks/ApplicationServices?.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libTIFF.dylib
0x93f97000 - 0x93ff8fe7 com.apple.CoreText? 151.10 (???) <5C2DEFBE-D54B-4DC7-D456-9ED02880BE98> /System/Library/Frameworks/ApplicationServices?.framework/Versions/A/Frameworks/CoreText.framework/Versions/A/CoreText
0x93ff9000 - 0x942f3fef com.apple.QuickTime? 7.6.6 (1783) <1EC8DC5E-12E3-1DB8-1F7D-44C6EF193C58> /System/Library/Frameworks/QuickTime?.framework/Versions/A/QuickTime
0x9430c000 - 0x94310ff7 libGFXShared.dylib ??? (???) <801B2C2C-1692-475A-BAD6-99F85B6E7C25> /System/Library/Frameworks?/OpenGL.framework/Versions/A/Libraries/libGFXShared.dylib
0x94311000 - 0x9467cff7 com.apple.QuartzCore? 1.6.3 (227.37) <E323A5CC-499E-CA9E-9BC3-537231449CAA> /System/Library/Frameworks/QuartzCore?.framework/Versions/A/QuartzCore
0x9471d000 - 0x9471fff7 libRadiance.dylib ??? (???) <47E300B5-DBEF-86C4-29BD-86DBEDD2FBB5> /System/Library/Frameworks/ApplicationServices?.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libRadiance.dylib
0x94720000 - 0x94723ffb com.apple.help 1.3.2 (41.1) <8AC20B01-4A3B-94BA-D8AF-E39034B97D8C> /System/Library/Frameworks/Carbon?.framework/Versions/A/Frameworks/Help.framework/Versions/A/Help
0x94724000 - 0x9472efe7 com.apple.audio.SoundManager? 3.9.3 (3.9.3) <5F494955-7290-2D91-DA94-44B590191771> /System/Library/Frameworks/Carbon?.framework/Versions/A/Frameworks/CarbonSound.framework/Versions/A/CarbonSound
0x9472f000 - 0x94f1e557 com.apple.CoreGraphics? 1.545.0 (???) <1D9DC7A5-228B-42CB-7018-66F42C3A9BB3> /System/Library/Frameworks/ApplicationServices?.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/CoreGraphics
0x95149000 - 0x9518dfe7 com.apple.Metadata 10.6.3 (507.15) <460BEF23-B89F-6F4C-4940-45556C0671B5> /System/Library/Frameworks/CoreServices?.framework/Versions/A/Frameworks/Metadata.framework/Versions/A/Metadata
0x9528b000 - 0x95347fff com.apple.ColorSync? 4.6.6 (4.6.6) <7CD8B191-039A-02C3-EA5E-4194EC59995B> /System/Library/Frameworks/ApplicationServices?.framework/Versions/A/Frameworks/ColorSync.framework/Versions/A/ColorSync
0x95398000 - 0x953cbfff libTrueTypeScaler.dylib ??? (???) <0F04DAC3-829A-FA1B-E9D0-1E9505713C5C> /System/Library/Frameworks/ApplicationServices?.framework/Versions/A/Frameworks/ATS.framework/Versions/A/Resources/libTrueTypeScaler.dylib
0x9550f000 - 0x95521ff7 com.apple.MultitouchSupport?.framework 207.11 (207.11) <6FF4F2D6-B8CD-AE13-56CB-17437EE5B741> /System/Library/PrivateFrameworks/MultitouchSupport?.framework/Versions/A/MultitouchSupport
0x95522000 - 0x95522ff7 com.apple.ApplicationServices? 38 (38) <8012B504-3D83-BFBB-DA65-065E061CFE03> /System/Library/Frameworks/ApplicationServices?.framework/Versions/A/ApplicationServices
0x95551000 - 0x95660fe7 com.apple.WebKit? 6533.21 (6533.21.1) <87AFEE12-270F-2D84-1B93-81DF1DA47A7F> /System/Library/Frameworks/WebKit?.framework/Versions/A/WebKit
0x95661000 - 0x95661ff7 com.apple.vecLib 3.6 (vecLib 3.6) <7362077A-890F-3AEF-A8AB-22247B10E106> /System/Library/Frameworks?/vecLib.framework/Versions/A/vecLib
0x95684000 - 0x95698ffb com.apple.speech.synthesis.framework 3.10.35 (3.10.35) <57DD5458-4F24-DA7D-0927-C3321A65D743> /System/Library/Frameworks/ApplicationServices?.framework/Versions/A/Frameworks/SpeechSynthesis.framework/Versions/A/SpeechSynthesis
0x956a5000 - 0x9570ffe7 libstdc++.6.dylib 7.9.0 (compatibility 7.0.0) <411D87F4-B7E1-44EB-F201-F8B4F9227213> /usr/lib/libstdc++.6.dylib
0x95710000 - 0x95713ff7 libCoreVMClient.dylib ??? (???) <F58BDFC1-7408-53C8-0B08-48BA2F25CA43> /System/Library/Frameworks?/OpenGL.framework/Versions/A/Libraries/libCoreVMClient.dylib
0x95721000 - 0x9572bffb com.apple.speech.recognition.framework 3.11.1 (3.11.1) <EC0E69C8-A121-70E8-43CF-E6FC4C7779EC> /System/Library/Frameworks/Carbon?.framework/Versions/A/Frameworks/SpeechRecognition.framework/Versions/A/SpeechRecognition
0x9572c000 - 0x95b61ff7 libLAPACK.dylib 219.0.0 (compatibility 1.0.0) <5E2D2283-57DE-9A49-1DB0-CD027FEFA6C2> /System/Library/Frameworks/Accelerate?.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libLAPACK.dylib
0x95b62000 - 0x95b63ff7 com.apple.TrustEvaluationAgent? 1.1 (1) <6C04C4C5-667E-2EBE-EB96-5B67BD4B2185> /System/Library/PrivateFrameworks/TrustEvaluationAgent?.framework/Versions/A/TrustEvaluationAgent
0x95b97000 - 0x95bafff7 com.apple.CFOpenDirectory 10.6 (10.6) <F9AFC571-3539-6B46-ABF9-46DA2B608819> /System/Library/Frameworks/OpenDirectory?.framework/Versions/A/Frameworks/CFOpenDirectory.framework/Versions/A/CFOpenDirectory
0x95bb0000 - 0x95cedfe7 com.apple.audio.toolbox.AudioToolbox? 1.6.7 (1.6.7) <2D31CC6F-32CC-72FF-34EC-AB40CEE496A7> /System/Library/Frameworks/AudioToolbox?.framework/Versions/A/AudioToolbox
0x95ed1000 - 0x95ef9ff7 libxslt.1.dylib 3.24.0 (compatibility 3.0.0) <315D97C2-4E1F-A95F-A759-4A3FA5639E75> /usr/lib/libxslt.1.dylib
0x95f26000 - 0x95f45ff7 com.apple.CoreVideo? 1.6.2 (45.6) <EB53CAA4-5EE2-C356-A954-5775F7DDD493> /System/Library/Frameworks/CoreVideo?.framework/Versions/A/CoreVideo
0x95f84000 - 0x95f8bff3 com.apple.print.framework.Print 6.1 (237.1) <F5AAE53D-5530-9004-A9E3-2C1690C5328E> /System/Library/Frameworks/Carbon?.framework/Versions/A/Frameworks/Print.framework/Versions/A/Print
0x96fbd000 - 0x96fbdff7 com.apple.Accelerate.vecLib 3.6 (vecLib 3.6) <1DEC639C-173D-F808-DE0D-4070CC6F5BC7> /System/Library/Frameworks/Accelerate?.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/vecLib
0x96fbe000 - 0x9700bfeb com.apple.DirectoryService?.PasswordServerFramework? 6.1 (6.1) <136BFA48-D456-B677-3B5D-40A6946C3A09> /System/Library/PrivateFrameworks/PasswordServer?.framework/Versions/A/PasswordServer
0x970ff000 - 0x97181ffb SecurityFoundation? ??? (???) <3670AE8B-06DA-C447-EB14-79423DB9C474> /System/Library/Frameworks/SecurityFoundation?.framework/Versions/A/SecurityFoundation
0x97182000 - 0x9719efe3 com.apple.openscripting 1.3.1 (???) <DA16DE48-59F4-C94B-EBE3-7FAF772211A2> /System/Library/Frameworks/Carbon?.framework/Versions/A/Frameworks/OpenScripting.framework/Versions/A/OpenScripting
0x9740f000 - 0x974c8fe7 libsqlite3.dylib 9.6.0 (compatibility 9.0.0) <52438E77-55D1-C231-1936-76F1369518E4> /usr/lib/libsqlite3.dylib
0x974c9000 - 0x9772fff7 com.apple.security 6.1.2 (55002) <64A20CEB-E614-D35F-7B9F-246BCB25BA23> /System/Library/Frameworks/Security?.framework/Versions/A/Security
0x97730000 - 0x97752fef com.apple.DirectoryService?.Framework 3.6 (621.11) <CA979EAC-9537-43B6-CD69-C144ACB75E09> /System/Library/Frameworks/DirectoryService?.framework/Versions/A/DirectoryService
0x97c10000 - 0x97c1bff7 libGL.dylib ??? (???) <3E34468F-E9A7-8EFB-FF66-5204BD5B4E21> /System/Library/Frameworks?/OpenGL.framework/Versions/A/Libraries/libGL.dylib
0x97c47000 - 0x97c50ff7 com.apple.DiskArbitration? 2.3 (2.3) <E9C40767-DA6A-6CCB-8B00-2D5706753000> /System/Library/Frameworks/DiskArbitration?.framework/Versions/A/DiskArbitration
0x97c51000 - 0x97cb5ffb com.apple.htmlrendering 72 (1.1.4) <4D451A35-FAB6-1288-71F6-F24A4B6E2371> /System/Library/Frameworks/Carbon?.framework/Versions/A/Frameworks/HTMLRendering.framework/Versions/A/HTMLRendering
0x97cb6000 - 0x97cfaff3 com.apple.coreui 2 (114) <29F8F1A4-1C96-6A0F-4CC2-9B85CF83209F> /System/Library/PrivateFrameworks?/CoreUI.framework/Versions/A/CoreUI
0x97d35000 - 0x97de1fe7 com.apple.CFNetwork 454.12.4 (454.12.4) <DEDCD006-389F-967F-3405-EDF541F406D7> /System/Library/Frameworks/CoreServices?.framework/Versions/A/Frameworks/CFNetwork.framework/Versions/A/CFNetwork
0x97e67000 - 0x97e67ff7 com.apple.Cocoa 6.6 (???) <EA27B428-5904-B00B-397A-185588698BCC> /System/Library/Frameworks/Cocoa?.framework/Versions/A/Cocoa
0x97e68000 - 0x98066ff3 com.apple.JavaScriptCore? 6533.20 (6533.20.20) <C97A479C-FDF9-3F19-2EE0-80288257C477> /System/Library/Frameworks/JavaScriptCore?.framework/Versions/A/JavaScriptCore
0x982c4000 - 0x9835cfe7 edu.mit.Kerberos 6.5.11 (6.5.11) <F36DB665-A88B-7F5B-6244-6A2E7FFFF668> /System/Library/Frameworks/Kerberos?.framework/Versions/A/Kerberos
0x9835d000 - 0x98378ff7 libPng.dylib ??? (???) <4C105512-6FA8-2AE0-D058-6A8AA00F9DA1> /System/Library/Frameworks/ApplicationServices?.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libPng.dylib
0x98b51000 - 0x98b8eff7 com.apple.SystemConfiguration? 1.10.8 (1.10.2) <50E4D49B-4F61-446F-1C21-1B2BA814713D> /System/Library/Frameworks/SystemConfiguration?.framework/Versions/A/SystemConfiguration
0x98c0e000 - 0x98c7dff7 libvMisc.dylib 268.0.1 (compatibility 1.0.0) <2FC2178F-FEF9-6E3F-3289-A6307B1A154C> /System/Library/Frameworks/Accelerate?.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvMisc.dylib
0x98d1f000 - 0x98efdfe3 libType1Scaler.dylib ??? (???) <97A2DBFA-C50B-266C-E63A-D6644F3B737C> /System/Library/Frameworks/ApplicationServices?.framework/Versions/A/Frameworks/ATS.framework/Versions/A/Resources/libType1Scaler.dylib
0x98efe000 - 0x9934ffef com.apple.RawCamera?.bundle 3.7.1 (570) <AF94D180-5E0F-10DF-0CB2-FD8EDB110FA2> /System/Library/CoreServices/RawCamera?.bundle/Contents/MacOS/RawCamera
0x99381000 - 0x993d4ff7 com.apple.HIServices 1.8.3 (???) <1D3C4587-6318-C339-BD0F-1988F246BE2E> /System/Library/Frameworks/ApplicationServices?.framework/Versions/A/Frameworks/HIServices.framework/Versions/A/HIServices
0x993d5000 - 0x9957cff7 libSystem.B.dylib 125.2.11 (compatibility 1.0.0) <2DCD13E3-1BD1-6F25-119A-3863A3848B90> /usr/lib/libSystem.B.dylib
0x995c3000 - 0x998e7fef com.apple.HIToolbox 1.6.5 (???) <21164164-41CE-61DE-C567-32E89755CB34> /System/Library/Frameworks/Carbon?.framework/Versions/A/Frameworks/HIToolbox.framework/Versions/A/HIToolbox
0x999d2000 - 0x999fcff7 com.apple.shortcut 1.1 (1.1) <B0514FA9-7CAE-AD94-93CA-7B2A2C5F7B8A> /System/Library/PrivateFrameworks/Shortcut?.framework/Versions/A/Shortcut
0x999fd000 - 0x999fdff7 com.apple.Accelerate 1.6 (Accelerate 1.6) <BC501C9F-7C20-961A-B135-0A457667D03C> /System/Library/Frameworks/Accelerate?.framework/Versions/A/Accelerate
0x999fe000 - 0x99a08ff7 com.apple.HelpData? 2.0.5 (34.1.1) <A9CF754F-B254-5D40-B8B5-F35414DFD875> /System/Library/PrivateFrameworks/HelpData?.framework/Versions/A/HelpData
0x99a09000 - 0x99a0dff7 libGIF.dylib ??? (???) <B7BA65AF-681C-F18B-A434-CBEC76A45646> /System/Library/Frameworks/ApplicationServices?.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libGIF.dylib
0x99a0e000 - 0x99ae8fff com.apple.DesktopServices? 1.5.11 (1.5.11) <800F2040-9211-81A7-B438-7712BF51DEE3> /System/Library/PrivateFrameworks/DesktopServicesPriv?.framework/Versions/A/DesktopServicesPriv
0x99ae9000 - 0x99af4ff7 libCSync.A.dylib 545.0.0 (compatibility 64.0.0) <287DECA3-7821-32B6-724D-AE03A9A350F9> /System/Library/Frameworks/ApplicationServices?.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libCSync.A.dylib
0x99af5000 - 0x99b26ff7 libGLImage.dylib ??? (???) <0EE86397-A867-0BBA-E5B1-B800E43FC5CF> /System/Library/Frameworks?/OpenGL.framework/Versions/A/Libraries/libGLImage.dylib
0x99b37000 - 0x99b79ff7 libvDSP.dylib 268.0.1 (compatibility 1.0.0) <3F0ED200-741B-4E27-B89F-634B131F5E9E> /System/Library/Frameworks/Accelerate?.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvDSP.dylib
0x99b7a000 - 0x99b7dfe7 libmathCommon.A.dylib 315.0.0 (compatibility 1.0.0) <1622A54F-1A98-2CBE-B6A4-2122981A500E> /usr/lib/system/libmathCommon.A.dylib
0x99b7e000 - 0x99c10fe7 com.apple.print.framework.PrintCore? 6.3 (312.7) <7410D1B2-655D-68DA-D4B9-2C65747B6817> /System/Library/Frameworks/ApplicationServices?.framework/Versions/A/Frameworks/PrintCore.framework/Versions/A/PrintCore
0x99c11000 - 0x99c4cfeb libFontRegistry.dylib ??? (???) <AD45365E-A3EA-62B8-A288-1E13DBA22B1B> /System/Library/Frameworks/ApplicationServices?.framework/Versions/A/Frameworks/ATS.framework/Versions/A/Resources/libFontRegistry.dylib
0x99c4d000 - 0x9a063ff7 libBLAS.dylib 219.0.0 (compatibility 1.0.0) <C4FB303A-DB4D-F9E8-181C-129585E59603> /System/Library/Frameworks/Accelerate?.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libBLAS.dylib
0xffff0000 - 0xffff1fff libSystem.B.dylib ??? (???) <2DCD13E3-1BD1-6F25-119A-3863A3848B90> /usr/lib/libSystem.B.dylib

Model: MacBookPro5,1, BootROM MBP51.007E.B05, 2 processors, Intel Core 2 Duo, 2.4 GHz, 4 GB, SMC 1.33f8
Graphics: NVIDIA GeForce? 9600M GT, NVIDIA GeForce? 9600M GT, PCIe, 256 MB
Graphics: NVIDIA GeForce? 9400M, NVIDIA GeForce? 9400M, PCI, 256 MB
Memory Module: global_name
AirPort?: spairport_wireless_card_type_airport_extreme (0x14E4, 0x8D), Broadcom BCM43xx 1.0 (5.10.131.42.4)
Bluetooth: Version 2.4.5f3, 2 service, 12 devices, 1 incoming serial ports
Network Service: AirPort?, AirPort?, en1
Serial ATA Device: Hitachi HTS543225L9SA02, 232.89 GB
Serial ATA Device: MATSHITADVD-R UJ-868
USB Device: Built-in iSight, 0x05ac (Apple Inc.), 0x8507, 0x24400000 / 2
USB Device: Apple Internal Keyboard / Trackpad, 0x05ac (Apple Inc.), 0x0236, 0x04600000 / 3
USB Device: IR Receiver, 0x05ac (Apple Inc.), 0x8242, 0x04500000 / 2
USB Device: BRCM2046 Hub, 0x0a5c (Broadcom Corp.), 0x4500, 0x06100000 / 2
USB Device: Bluetooth USB Host Controller, 0x05ac (Apple Inc.), 0x8213, 0x06110000 / 3

Output of perl -V:

Summary of my perl5 (revision 5 version 12 subversion 3) configuration:

Platform:

osname=darwin, osvers=10.6.0, archname=darwin-2level
uname='darwin icarus.local 10.6.0 darwin kernel version 10.6.0: wed nov 10 18:13:17 pst 2010; root:xnu-1504.9.26~3release_i386 i386 '
config_args='-de -Dprefix=/Users/bob/perl5/perlbrew/perls/perl-5.12.3'
hint=recommended, useposix=true, d_sigaction=define
useithreads=undef, usemultiplicity=undef
useperlio=define, d_sfio=undef, uselargefiles=define, usesocks=undef
use64bitint=define, use64bitall=define, uselongdouble=undef
usemymalloc=n, bincompat5005=undef

Compiler:

cc='cc', ccflags ='-fno-common -DPERL_DARWIN -no-cpp-precomp -fno-strict-aliasing -pipe -fstack-protector -I/usr/local/include',
optimize='-O3',
cppflags='-no-cpp-precomp -fno-common -DPERL_DARWIN -no-cpp-precomp -fno-strict-aliasing -pipe -fstack-protector -I/usr/local/include'
ccversion=, gccversion='4.2.1 (Apple Inc. build 5664)', gccosandvers=
intsize=4, longsize=8, ptrsize=8, doublesize=8, byteorder=12345678
d_longlong=define, longlongsize=8, d_longdbl=define, longdblsize=16
ivtype='long', ivsize=8, nvtype='double', nvsize=8, Off_t='off_t', lseeksize=8
alignbytes=8, prototype=define

Linker and Libraries:

ld='env MACOSX_DEPLOYMENT_TARGET=10.3 cc', ldflags =' -fstack-protector -L/usr/local/lib'
libpth=/usr/local/lib /usr/lib
libs=-ldbm -ldl -lm -lutil -lc
perllibs=-ldl -lm -lutil -lc
libc=/usr/lib/libc.dylib, so=dylib, useshrplib=false, libperl=libperl.a
gnulibc_version=

Dynamic Linking:

dlsrc=dl_dlopen.xs, dlext=bundle, d_dlsymun=undef, ccdlflags=' '
cccdlflags=' ', lddlflags=' -bundle -undefined dynamic_lookup -L/usr/local/lib -fstack-protector'

Characteristics of this binary (from libperl):

Compile-time options: PERL_DONT_CREATE_GVSV PERL_MALLOC_WRAP USE_64_BIT_ALL

USE_64_BIT_INT USE_LARGE_FILES USE_PERLIO
USE_PERL_ATOF

Built under darwin
Compiled at Feb 6 2011 21:12:23
%ENV:

PERLBREW_PATH="/Users/bob/perl5/perlbrew/bin:/Users/bob/perl5/perlbrew/perls/perl-5.12.3/bin"
PERLBREW_PERL="perl-5.12.3"
PERLBREW_ROOT="/Users/bob/perl5/perlbrew"
PERLBREW_VERSION="0.15"

@INC:

/Users/bob/perl5/perlbrew/perls/perl-5.12.3/lib/site_perl/5.12.3/darwin-2level
/Users/bob/perl5/perlbrew/perls/perl-5.12.3/lib/site_perl/5.12.3
/Users/bob/perl5/perlbrew/perls/perl-5.12.3/lib/5.12.3/darwin-2level
/Users/bob/perl5/perlbrew/perls/perl-5.12.3/lib/5.12.3
.

Hardware overview of Mac:

Model Name: MacBook? Pro
Model Identifier: MacBookPro5,1
Processor Name: Intel Core 2 Duo
Processor Speed: 2.4 GHz
Number Of Processors: 1
Total Number Of Cores: 2
L2 Cache: 3 MB
Memory: 4 GB
Bus Speed: 1.07 GHz
Boot ROM Version: MBP51.007E.B05
SMC Version (system): 1.33f8
Serial Number (system): W8850DRF1G0
Hardware UUID: 85583ED0-55E5-56BC-9900-B24B7BDF349E
Sudden Motion Sensor:
State: Enabled

Change History

comment:1 Changed 3 years ago by tome

  • Keywords osx added; Mac OS X removed
  • Owner set to tome
  • Status changed from new to accepted

looks like a duplicate of #1272 but I'm leaving it open until we confirm.

Thanks for the great bug report.

comment:2 Changed 3 years ago by tome

  • Status changed from accepted to closed
  • Resolution set to fixed

I believe this is fixed with #1272.

Note: See TracTickets for help on using tickets.